Chinaunix首页 | 论坛 | 博客
  • 博客访问: 3309647
  • 博文数量: 366
  • 博客积分: 9916
  • 博客等级: 中将
  • 技术积分: 7194
  • 用 户 组: 普通用户
  • 注册时间: 2011-05-29 23:27
个人简介

简单!

文章分类

全部博文(366)

文章存档

2013年(51)

2012年(269)

2011年(46)

分类: LINUX

2011-09-07 18:05:26

1.安装kde环境支持: 

 

在ubuntn11.04下,不能直接安装kscope1.6.2,先要安装kde环境支持,如下步骤:

 

apt-get install kdelibs     (解决kde-config not found)

sudo apt-get install xorg-dev  (解决error:can't find X includes?)

sudo apt-get install kdelibs4-dev kdelibs4c2a (解决no KDE headers installed)

本人在安装这些库的时候,也遇到了一些问题,安装的时候出现了:0% [Waiting for headers],然后就不动了。google了下,说是在apt-get install的过程中被中断过(确实是这样过),按照网上说的,把目录下的/var/cache/apt/archives的一些文件删除掉了,特别是/var/cache/apt/archives/partial目录下的文件。

 

2.  下载kscope-1.6.2

下载地址:http://download.chinaunix.net/download/0006000/5469.shtml

下载后,解压缩,并进入到kscope-1.6.2的源码根目录中。

 

3. 配置.configure

用命令./configure --without-arts进行config

这个时候,会提示找不到这个,找不到那个,按照提示,将所需要的软件包都 安装上。列出几个如下:

错误1: configure: error: C++ preprocessor "/lib/cpp" fails sanity check

解决方法:sudo apt-get install build-essential ,然后再./configure --without-arts

错误2:  configure: error: Lex/Flex is required in order to build KScope

解决方法:sudo apt-get install flex,然后再./configure --without-arts

错误3:  configure: error: Yacc/Bison is required in order to build KScope

解决方法:sudo apt-get install bison,然后再./configure --without-arts

安装过程中,只记录了这些错误,如果还出现其它错误,google下,一般都能找到。

 

4. make

make时会出现的问题:

错误1: /usr/bin/ld: cannot find -lkateinterfaces

make时提示找不到 -lkateinterfaces,不用担心,该参数是要找动态链接库,其实没有动态链接库,只有静态链接库,该库位于/usr/lib/libkatepartinterfaces.la,这个时候,切换到src目录下:

[ /home/lanch/Download/kscope-1.6.2]$cd src

[ /home/lanch/Download/kscope-1.6.2/src]$grep -n -lkateinterfaces Makefile(evisie注:这行命令并没有起到实际作用,所以我直接在/src/Makefile文件中替换了 -lkateinterfaces,查找方法和windows类似,Ctrl+F)

将Makefile文件中使用-lkateinterfaces 的地方,替换为/usr/lib/libkatepartinterfaces.la,接着,退回到上层目录cd .. ,进行make,就会大功告成。

 

5. sudo make install

这个过程中没现过错误。

 

6. 安装cscope,ctags,graphviz

sudo apt-get install cscope ctags  graphviz

 

到此安装kscope1.6.2完成,可以在终端中输入kscope打开kscope1.6.2了,当然你可以作成一个快捷方式,这里就不再说明。

 

使用了下,kscope1.6.2总体不不错,速度比eclipse快多了,功能和界面比source navigator强多了…

 

在终端输入kscope,第一次打开后需要设置依赖工具的路径,按照下图设置即可:

 

 

 

 这时打开的源码中文有乱码,通过设置Tools-Encoding为Chinese Simplified(gb2312)后解决

 

若 要查看linux c编译的项目,则选择Project-New Porject,然后添加项目中所有的.c和.h,.pc为后缀的源文件即可,若要使用cscope的call function或者call graph功能,则要先点击rebuild database生成相应的tags文件才行,看来和用Vim配置ctags插件是一样的。

 

 由于项目庞大,函数调用关系复杂,故只展示其中一个子函数被main函数调用的函数调用图,生成结果如下:

 可以看出, 当函数调用关系较复杂时,生成调用关系图已经没有意义,而Kscope自带的过滤功能也不完善

 

 可惜的是,如此好的开源项目作者没有继续维护下去了,不得不说是Linux用户的遗憾。


摘自http://www.cnblogs.com/crazyhack/archive/2011/07/15/2107710.html
阅读(10843) | 评论(6) | 转发(2) |
给主人留下些什么吧!~~

xf_abc2014-08-31 16:22:19

愚人陈:感谢博主,
1.6.2 在ubuntu14.04 已编译安装成功.

1.9 原来是 缩水版(可能还没开发完的版本)

请问下 在ubuntu14.04 上如何编译 1.6.2 ? 好像kdelibs安装不了,能不能细说下?

回复 | 举报

愚人陈2014-08-18 21:45:31

感谢博主,
1.6.2 在ubuntu14.04 已编译安装成功.

1.9 原来是 缩水版(可能还没开发完的版本)

愚人陈2014-08-18 21:45:28

感谢博主,
1.6.2 在ubuntu14.04 已编译安装成功.

1.9 原来是 缩水版(可能还没开发完的版本)

愚人陈2014-08-17 19:25:22

1.6.2 和 1.9.x 好像是 不连续的,

sourceforge 上 都没有 中间 版本 , 莫非 是 分支...

愚人陈2014-08-17 19:20:36

我用的 ubuntu14 源 里的 kscope1.9.4 , 怎么连 工具栏 都没有,
自己  官网下载 1.9.4编译了下, 也是没有工具栏.